Important: upgrading a 1.23 environment

Menno Smits menno.smits at canonical.com
Thu Jul 23 22:51:54 UTC 2015


> I am interested in the 1.24 aspect. Can you elaborate on:
>
> 1. What exact 1.24 release is affected?
>

The issue was fixed in 1.24.3 so 1.24.0 and 1.24.1 are affected.

Here's the ticket: https://bugs.launchpad.net/juju-core/+bug/1468653

2. To what degree is it affected? You said "may" also get stuck.
>

It depends on whether certain leadership related API requests had been made
and whether the lease worker had restarted while those requests were
active. The more units in the environment, the more likely the problem is
to occur.
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <https://lists.ubuntu.com/archives/juju/attachments/20150724/4a130ae2/attachment.html>


More information about the Juju mailing list